﻿#version 330 core
in vec3 color;
in vec3 texCoord;
in float brightness;

out vec4 FragColor;

uniform sampler2DArray albedo;

void main()
{
    FragColor = texture(albedo, texCoord);

    if(FragColor.a < 0.5) discard;
    FragColor *= brightness;
    FragColor.a = 1;
}